#!/bin/bash
ip=$1
phone_no=$2
        len=`echo $phone_no|awk '{print length($0)}'`
        if [ $len -ne 11 ]
        then
                echo "请输入11位手机号!"
        else
                break
        fi


mysql -h"$ip" -p"3306" -u"qa" -p"qatest" <<EOF
update xyqb.loan_application_history
set xyqb.loan_application_history.progress=40 
where business_type=0 and user_id=(select id from xyqb_user.user where phone_no =$phone_no) and is_active=1;
EOF
echo "done!!!"

